<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.data.mapper.DataInterfaceLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.data.domain.DataInterfaceLog">
        <id column="id" property="id" />
        <result column="interface_id" property="interfaceId" />
        <result column="execute_time" property="executeTime" />
        <result column="user_id" property="userId" />
        <result column="request_ip" property="requestIp" />
        <result column="request_device" property="requestDevice" />
        <result column="request_type" property="requestType" />
        <result column="request_waste_time" property="requestWasteTime" />
        <result column="oauth_app_id" property="oauthAppId" />
        <result column="sort_code" property="sortCode" />
        <result column="execute_result" property="executeResult" />
        <result column="execute_state" property="executeState" />
        <result column="execute_msg" property="executeMsg" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="dept_id" property="deptId" />
        <result column="tenant_id" property="tenantId" />
    </resultMap>

</mapper>
